"use strict";
/********************************************************************************
 * Copyright (c) 2020 TypeFox and others
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNamespace = createNamespace;
const registry_1 = require("./registry");
const util_1 = require("./util");
/**
 * Creates a namespace (corresponds to `publisher` in package.json).
 */
async function createNamespace(options = {}) {
    (0, util_1.addEnvOptions)(options);
    if (!options.name) {
        throw new Error('The namespace name is mandatory.');
    }
    options.pat = await (0, util_1.getPAT)(options.name, options, false);
    const registry = new registry_1.Registry(options);
    const result = await registry.createNamespace(options.name, options.pat);
    if (result.error) {
        throw new Error(result.error);
    }
    console.log(`\ud83d\ude80  Created namespace ${options.name}`);
}
//# sourceMappingURL=create-namespace.js.map