"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = login;
const util_1 = require("./util");
const store_1 = require("./store");
async function login(options) {
    (0, util_1.addEnvOptions)(options);
    if (!options.namespace) {
        throw new Error('Missing namespace name.');
    }
    const store = await (0, store_1.openDefaultStore)();
    let pat = store.get(options.namespace);
    if (pat) {
        console.log(`Namespace '${options.namespace}' is already known.`);
        const answer = await (0, util_1.getUserInput)('Do you want to overwrite its PAT? [y/N] ');
        if (!/^y$/i.test(answer)) {
            throw new Error('Aborted.');
        }
    }
    pat = await (0, util_1.requestPAT)(options.namespace, options);
    await store.add(options.namespace, pat);
}
//# sourceMappingURL=login.js.map