"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = logout;
const store_1 = require("./store");
async function logout(namespaceName) {
    if (!namespaceName) {
        throw new Error('Missing namespace name.');
    }
    const store = await (0, store_1.openDefaultStore)();
    if (!store.get(namespaceName)) {
        throw new Error(`Unknown namespace '${namespaceName}'.`);
    }
    await store.delete(namespaceName);
    console.log(`\ud83d\ude80  ${namespaceName} removed from the list of known namespaces`);
}
//# sourceMappingURL=logout.js.map