interface StoreEntry {
    name: string;
    value: string;
}
export interface Store extends Iterable<StoreEntry> {
    readonly size: number;
    get(name: string): string | undefined;
    add(name: string, value: string): Promise<void>;
    delete(name: string): Promise<void>;
}
export declare class FileStore implements Store {
    readonly path: string;
    private entries;
    private static readonly DefaultPath;
    static open(path?: string): Promise<FileStore>;
    get size(): number;
    private constructor();
    private save;
    deleteStore(): Promise<void>;
    get(name: string): string | undefined;
    add(name: string, value: string): Promise<void>;
    delete(name: string): Promise<void>;
    [Symbol.iterator](): ArrayIterator<StoreEntry>;
}
export declare class KeytarStore implements Store {
    private readonly keytar;
    private readonly serviceName;
    private entries;
    static open(serviceName?: string): Promise<KeytarStore>;
    get size(): number;
    private constructor();
    get(name: string): string | undefined;
    add(name: string, value: string): Promise<void>;
    delete(name: string): Promise<void>;
    [Symbol.iterator](): Iterator<StoreEntry, any, undefined>;
}
export declare function openDefaultStore(): Promise<Store>;
export {};
//# sourceMappingURL=store.d.ts.map